DB->get_q_extentsize()
Prev | Chapter 2. The DB Handle | Next

## DB->get_q_extentsize()

    #include <db.h>

    int
    DB->get_q_extentsize(DB *db, u_int32_t *extentsizep);

The `DB->get_q_extentsize()` method returns the number of pages in an extent. This value is used only for Queue databases and is set using the DB->set_q_extentsize() method.

The `DB->get_q_extentsize()` method may be called only after the database has been opened.

The `DB->get_q_extentsize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### extentsizep

The `DB->get_q_extentsize()` method returns the number of pages in an extent in extentsizep. If used on a handle that has not yet been opened, `0` is returned.

### Class

DB

### See Also

Database and Related Methods, DB->set_q_extentsize()

Prev | Up | Next
DB->get_priority() | Home | DB->get_re_delim()